package com.example.sp_api.service;

import com.trs.dongbei.gov.common.core.ApiService;
import com.trs.dongbei.gov.common.core.GovInteractiveVo;
import com.trs.dongbei.gov.common.core.Page;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestOperations;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.Map;

/******************************
 * TODO
 * @author yanhongliang
 * @date 2020-08-14 15:43
 ******************************/

@Service
public class MyApiService implements ApiService {
    @Value("${system.http.host}")
    private String httpHost;


    @Override
    public Page<GovInteractiveVo> interactive(String userId, Integer pageNo, Integer pageSize) {

        RestTemplate restTemplate=new RestTemplate();
        Page page=new Page();
        Map map=new HashMap();
        map.put("userId",userId);
        map.put("pageNo",pageNo);
        map.put("pageSize",pageSize);
        HttpHeaders headers = new HttpHeaders();
        restTemplate.getMessageConverters().add(new StringHttpMessageConverter(Charset.forName("utf-8")));
        page=(Page)restTemplate.postForObject( httpHost+"/api/interactive", map , Page.class );
        return page;
    }
}
