package com.example.sp_api.service;

import com.trs.dongbei.gov.common.core.ApiService;
import com.trs.dongbei.gov.common.core.GovInteractiveVo;
import com.trs.dongbei.gov.common.core.Page;
import com.trs.dongbei.gov.common.core.covenience.ConvenienceService;
import com.trs.dongbei.gov.common.core.covenience.ConvenienceServicesInfoVo;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.http.converter.StringHttpMessageConverter;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/******************************
 * TODO
 * @author yanhongliang
 * @date 2020-08-14 15:43
 ******************************/

@Service
public class MyConvenienceService implements ConvenienceService {
    @Value("${system.http.host}")
    private String httpHost;
    @Override
    public List<ConvenienceServicesInfoVo> queryServices() {
        RestTemplate restTemplate=new RestTemplate();
        Map map=new HashMap();
        HttpHeaders headers = new HttpHeaders();
        restTemplate.getMessageConverters().add(new StringHttpMessageConverter(Charset.forName("utf-8")));
        List list=(List) restTemplate.postForObject(httpHost+"/cities/queryConvenienceServices" ,map, List.class);
        return list;
    }
}
